메인 콘텐츠로 건너뛰기
GET
/
admin
/
products
/
{id}
/
variants
변형 목록 조회
curl --request GET \
  --url https://api.headlesscommerce.io/v1/admin/products/{id}/variants \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "product_id": "<string>",
      "sku": "<string>",
      "barcode": "<string>",
      "price": {
        "amount": 123,
        "currency": "<string>"
      },
      "compare_at_price": {
        "amount": 123,
        "currency": "<string>"
      },
      "cost_price": {
        "amount": 123,
        "currency": "<string>"
      },
      "weight": 123,
      "is_active": true,
      "option_values": [
        {
          "id": "<string>",
          "value": "<string>",
          "position": 123
        }
      ],
      "images": [
        {
          "id": "<string>",
          "url": "<string>",
          "alt_text": "<string>",
          "position": 123,
          "width": 123,
          "height": 123
        }
      ],
      "inventory": {
        "id": "<string>",
        "variant_id": "<string>",
        "track_inventory": true,
        "allow_backorder": true,
        "safety_stock": 123,
        "on_hand": 123,
        "reserved": 123,
        "available": 123,
        "metadata": {}
      },
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

경로 매개변수

id
string
필수

Resource ID

응답

200 - application/json

성공

data
object[]